From 41f0d5abdc12ef2c8a70f090144d50f077d032eb Mon Sep 17 00:00:00 2001
From: iberezovskiy <iberezovskiy@mirantis.com>
Date: Mon, 13 Oct 2014 18:59:18 +0400
Subject: [PATCH] Add missed python-lesscpy for horizon

Change-Id: Ieecbd3b91aafb1a7f229918402676ca08ed1c2cf
Closes-bug: #1380655
---
 debian/control    | 2 ++
 tests/runtests.sh | 7 +++++++
 2 files changed, 9 insertions(+)

diff --git a/debian/control b/debian/control
index aac8393..20bc0f0 100644
--- a/debian/control
+++ b/debian/control
@@ -7,6 +7,7 @@ Build-Depends:
  pylint,
  python-all (>= 2.6.6-3~),
  python-django-nose,
+ python-lesscpy,
  python-mox,
  python-netaddr,
  python-nose,
@@ -35,6 +36,7 @@ Depends:
  python-iso8601 (>= 0.1.9),
  python-keystoneclient (>= 1:0.10.0),
  python-kombu (>= 2.5.0),
+ python-lesscpy,
  python-lockfile (>= 0.8),
  python-memcache,
  python-netaddr (>= 0.7.12),
diff --git a/tests/runtests.sh b/tests/runtests.sh
index c0aa028..0e8f52f 100755
--- a/tests/runtests.sh
+++ b/tests/runtests.sh
@@ -4,6 +4,13 @@ RES=0
 
 case $1 in
    openstack-dashboard)
+      python -c "import lesscpy"
+      if [ $? -ne '0' ]; then
+         echo "We have missed lesscpy dependency"
+         RES=1
+         exit $RES
+      fi
+
       if [[ `cat /etc/*-release | head -n 1 | awk '{print $1}'` =~ Ubuntu ]]; then
          apache="apache2"
          page="horizon"
-- 
2.45.2